MsWksTableInternal::Chart Struct Reference

Internal: the chart of a MsWksTable. More...

## Public Member Functions
| Chart (MsWksGraph::Style const &style)
| constructor
| Chart ()
| empty constructor

## Public Attributes
MWAWGraphicStyle | m_style
| the graphic style
int | m_textZonesId [3]
| the three text pictures
MWAWEntry | m_backgroundEntry
| the background entry
int | m_zoneId
| the chart zone id (in the graph parser )

## Detailed Description

Internal: the chart of a MsWksTable.

## Constructor & Destructor Documentation

## ◆ Chart() [1/2]

MsWksTableInternal::Chart::Chart | ( | MsWksGraph::Style const & | style | ) |
| inline explicit

constructor

## ◆ Chart() [2/2]

MsWksTableInternal::Chart::Chart | ( |  | ) |
| inline

empty constructor

## Member Data Documentation

## ◆ m_backgroundEntry

MWAWEntry MsWksTableInternal::Chart::m_backgroundEntry

the background entry

Referenced by Chart(), Chart(), and MsWksTable::readChart().

## ◆ m_style

MWAWGraphicStyle MsWksTableInternal::Chart::m_style

the graphic style

Referenced by Chart(), and Chart().

## ◆ m_textZonesId

int MsWksTableInternal::Chart::m_textZonesId[3]

the three text pictures

Referenced by Chart(), Chart(), and MsWksTable::readChart().

## ◆ m_zoneId

int MsWksTableInternal::Chart::m_zoneId

the chart zone id (in the graph parser )

Referenced by Chart(), and Chart().

The documentation for this struct was generated from the following file:

- MsWksTable.cxx